GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Private Attributes | List of all members
GpgFrontend::UI::GeneralTab Class Reference
Inheritance diagram for GpgFrontend::UI::GeneralTab:
Collaboration diagram for GpgFrontend::UI::GeneralTab:

## Signals
void | SignalRestartNeeded (bool needed)

## Public Member Functions
| GeneralTab (QWidget *parent=nullptr)
| Construct a new General Tab object. More...
void | SetSettings ()
| Set the Settings object. More...
void | ApplySettings ()

## Private Attributes
std::shared_ptr< Ui_GeneralSettings > | ui_
std::vector< std::string > | key_ids_list_
KeyList * | m_key_list_ {}

## Constructor & Destructor Documentation

## ◆ GeneralTab()

GpgFrontend::UI::GeneralTab::GeneralTab | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new General Tab object.

Parameters

  parent |

References GpgFrontend::UI::SettingsDialog::ListLanguages(), and SetSettings().

## Member Function Documentation

## ◆ SetSettings()

void GpgFrontend::UI::GeneralTab::SetSettings | ( |  | ) |

Set the Settings object.

References GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), and GpgFrontend::GlobalSettingStation::GetUISettings().

Referenced by GeneralTab().

## ◆ SignalRestartNeeded

void GpgFrontend::UI::GeneralTab::SignalRestartNeeded | ( | bool | needed | ) |
| signal

Parameters

  needed |

Referenced by GpgFrontend::UI::SettingsDialog::SettingsDialog().

The documentation for this class was generated from the following files:

- src/ui/settings/SettingsGeneral.h
- src/ui/settings/SettingsGeneral.cpp